Unable to change PHP version

Discussion in 'Free Hosting' started by avatarbi, Jan 2, 2018.

  1. avatarbi

    avatarbi New Member

    Messages:
    5
    Likes Received:
    0
    Trophy Points:
    1
    I'm trying to change my PHP version but when I go to the option on my CPanel it gives me this error:
    Code:
    [Errno 2] No such file or directory: '/var/lve/php_native_ver.dat'4.4 - - -
    5.1 - - -
    5.2 - - -
    5.3 - - -
    5.4 e - -
    5.5 e d s
    5.6 e - -
    7.0 e - -
    7.1 e - -
    native - - -
    

    How do I fix this? Please help.
     
    • Agree Agree x 1
  2. kkkmemel

    kkkmemel New Member

    Messages:
    1
    Likes Received:
    0
    Trophy Points:
    1
    i have the exact same problem i think its their issue not ours
     
  3. avatarbi

    avatarbi New Member

    Messages:
    5
    Likes Received:
    0
    Trophy Points:
    1
    I'm glad it's not just me. I hope they fix this sooner or later
     
  4. avatarbi

    avatarbi New Member

    Messages:
    5
    Likes Received:
    0
    Trophy Points:
    1
    My problem still isn't resolved and I'm assuming it can be fixed by a staff member.
    Please help, x10.

    **bump**
     
  5. avatarbi

    avatarbi New Member

    Messages:
    5
    Likes Received:
    0
    Trophy Points:
    1
    *bump*

    Can staff please help me on this? I can't really do anything else with my site unless I update my PHP version.
     
  6. moonrex1

    moonrex1 New Member

    Messages:
    1
    Likes Received:
    0
    Trophy Points:
    1
    Same error here. I need >= php 7 to run my laravel website
     
  7. streamt5

    streamt5 New Member

    Messages:
    1
    Likes Received:
    0
    Trophy Points:
    1
    Same issue. Has anyone been able to resolve this???
     
  8. haydeng2

    haydeng2 New Member

    Messages:
    4
    Likes Received:
    0
    Trophy Points:
    1
  9. lylex10h

    lylex10h Active Member

    Messages:
    670
    Likes Received:
    43
    Trophy Points:
    28
    Can y'all update/edit your posts with what server your on (example: xo7.x10hosting.com). This should help the admins determine if it's one box/machine or multiple.
     
  10. haydeng2

    haydeng2 New Member

    Messages:
    4
    Likes Received:
    0
    Trophy Points:
    1
    my server is 6
     
  11. Livewire

    Livewire Abuse Compliance Officer Staff Member

    Messages:
    18,128
    Likes Received:
    210
    Trophy Points:
    63
    I've re-notified staff on this one; xo5 should be fixed but the last attempt at fixing it on xo6 doesn't appear to have taken, so we're going to keep working on it.
     
  12. accx10h3

    accx10h3 New Member

    Messages:
    3
    Likes Received:
    0
    Trophy Points:
    1
    Same Problem... Mine is xo4
     
  13. accx10h3

    accx10h3 New Member

    Messages:
    3
    Likes Received:
    0
    Trophy Points:
    1
    Where is the option in cpanel??
     
  14. avatarbi

    avatarbi New Member

    Messages:
    5
    Likes Received:
    0
    Trophy Points:
    1
    Thanks so much for the update. I forgot to mention that my server was xo5 and I am now able to change my PHP version. Thanks a bunch!



    You should find the "Change PHP version" option under the Software and Services tab. Make sure you're using the cPanel x3 theme and not x10 Basic (you can change it by clicking on Switch Theme on the top of the page)
     
  15. Livewire

    Livewire Abuse Compliance Officer Staff Member

    Messages:
    18,128
    Likes Received:
    210
    Trophy Points:
    63
    Xo6 should now be fixed, and xo4 doesn't seem like it was broken.

    @accx10h3: I forced your control panel to switch to cPanel x3 as the option is missing on the x10Basic theme; I checked and confirmed the Change PHP option menu is there and functional.
     
  16. gameshap

    gameshap New Member

    Messages:
    2
    Likes Received:
    0
    Trophy Points:
    1
    Hi @Livewire, I have the same problem, and can't use my own domain... I'm afraid I've asked for a parked domain in the old cpanel and made the switch to lantern and then nothing was working anymore. Can you force me back to the old panel so I can park my domain, please
     
  17. Livewire

    Livewire Abuse Compliance Officer Staff Member

    Messages:
    18,128
    Likes Received:
    210
    Trophy Points:
    63
    Can you try now? XO7 appears to be missing the correct buttons but I tried a random chrome DevTools trick that seems to have gotten it to flip back into Basic correctly, and with luck that change will have saved to your cPanel account and put you back in x10Basic if you relog.
     
  18. gameshap

    gameshap New Member

    Messages:
    2
    Likes Received:
    0
    Trophy Points:
    1
    Hi @Livewire, could return to x3 fine! Thanks for the help. I changed the NS on GoDaddy and am waiting now.
     

Share This Page